/*
 *	Global definitions.
 */

#ifndef HR_BOBS
#define HR_BOBS
extern struct hr_bob{
	int flags;
	int x;
	int y;
	int hot_x;
	int hot_y;
	struct hr_bitmap *bitmap;
	struct hr_bitmap *tempmap;
	struct hr_bob *next;
	struct hr_bob *prev;
}dummy_bob;

extern struct hr_bob *hr_delete_bob(struct hr_bob *b);
extern struct hr_bob *hr_create_bob(struct hr_bitmap *bitmap,
												int hot_x,int hot_y,int flags);
extern void hr_update_bob(struct hr_bob *b,int x,int y,
								  struct hr_bitmap *bitmap,int mode);
extern struct hr_bob *hr_bob_collide(struct hr_bob *what,struct hr_bob *first);
extern struct hr_bob *hr_bob_overlap(struct hr_bob *what,struct hr_bob *first);
extern void bob_to_front(struct hr_bob *bob);
extern void bob_to_back(struct hr_bob *bob);
extern void bob_to_after(struct hr_bob *bob,struct hr_bob *topbob);
#endif
